
#property copyright "Copyright  2011,kourosh1347@gmail.com"


#include <stdlib.mqh>
#include <WinUser32.mqh>

// exported variables
extern bool FiveDigitBroker1 = true;
extern bool DetectBrokerDigits1 = true;
extern int OpenOrdersLimit9 = 1;
extern double BuyLots4 = 0.1;
extern double takeprofit = 650;
extern double Stoplost = 650;


// local variables
double PipValue=1;    // this variable is here to support 5-digit brokers
bool Terminated = false;
string LF = "\n";  // use this in custom or utility blocks where you need line feeds
int NDigits = 4;   // used mostly for NormalizeDouble in Flex type blocks
int ObjCount = 0;  // count of all objects created on the chart, allows creation of objects with unique names


int init()
{
    NDigits = Digits;
    
    ObjectsDeleteAll();      // clear the chart
    
    
    Comment("");    // clear the chart
}

// Expert start
int start()
{
    if (Bars < 10)
    {
        Comment("Not enough bars");
        return (0);
    }
    if (Terminated == true)
    {
        Comment("EA Terminated.");
        return (0);
    }
    
    OnEveryTick1();
    
}

void OnEveryTick1()
{
    if (DetectBrokerDigits1 == false && FiveDigitBroker1) PipValue = 10;
    if (DetectBrokerDigits1 && (NDigits == 3 || NDigits == 5)) PipValue = 10;
    
 //   TechnicalAnalysis3x3();
     if ( (iRSI(NULL, NULL,14,PRICE_TYPICAL,1) < 35) && (iRSI(NULL, NULL,14,PRICE_TYPICAL,0) > 35))
    {
   if ((iMomentum(NULL, NULL,60,PRICE_TYPICAL,1) <= 99.6) &&  (iMomentum(NULL, NULL,60,PRICE_TYPICAL,0) > 99.6))
    {
        
        CheckOrderCount9();
        
    }
        
    }
    CloseOrder();
    
}





void CheckOrderCount9()
{
    int count = 0;
    for (int i=OrdersTotal()-1; i >= 0; i--)
    if (OrderSelect(i, SELECT_BY_POS, MODE_TRADES))
    {
        if (OrderSymbol() == Symbol())
        if (OrderMagicNumber() == 1)
        if (TimeMinute(OrderOpenTime( )) +10 > Minute())
        {
            
            count++;
        }
    }
    else
    {
        Print("OrderSend() error - ", ErrorDescription(GetLastError()));
    }
   //   Print(" count ");
    if (count < OpenOrdersLimit9  )
    {
       BuyOrder4();
        
    }
}

void BuyOrder4()
{
    double SL = Ask - Stoplost*PipValue*Point;
    if (Stoplost == 0) SL = 0;
    double TP = Ask + takeprofit*PipValue*Point;
    if (takeprofit == 0) TP = 0;
    int ticket = -1;
    
    ticket = OrderSend(Symbol(), OP_BUY, BuyLots4, Ask, 4, SL, TP, "GOLD ", 1, 0, Blue);
   
}

void CloseOrder()
{
    if (iRSI(NULL, NULL,14,PRICE_TYPICAL,1) >= 70 && iRSI(NULL, NULL,14,PRICE_TYPICAL,0) <= 70)
    {
   //     CloseOrder10();
        
    }
}




int deinit()
{
 //   if (false) ObjectsDeleteAll();
    
    
}

